TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Remove ( alist A, any key ) -> alist

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.
Success | any | (Default: SUCCESS) | Determines what to return in case of success.

### Description

<shortdoc> Remove `key' and its association in alist `A' and return the alist derived from this removal.
Note: This does not affect `A'. </shortdoc>

### Examples

A:=Alist([1,"foo"],[2,"bar"]); RemAssoc(A,1);

### See also

Remove_ ( alist, any )

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack